<?php

class LanguagesList extends \KupShop\AdminBundle\AdminList\BaseList
{
    protected $tableDef = [
        'id' => 'id',
        'fields' => [
            'Název' => ['field' => 'name'],
            'ISO 639-1' => ['field' => 'id'],
            'Kód lokalizace' => ['field' => 'locale'],
            'Aktivní' => ['field' => 'active', 'render' => 'renderBoolean'],
        ],
    ];

    public function __construct()
    {
        if (!isSuperuser()) {
            echo 'Na požadovanou akci nemáte dostatečná oprávnění.';
            exit;
        }
    }

    public function getQuery()
    {
        return sqlQueryBuilder()
            ->select('*')
            ->from('languages');
    }
}
